ChangeSet 1.1276.1.59, 2003/08/28 11:41:51-07:00, rddunlap@osdl.org

[PATCH] USB: fix printk parameter types


 drivers/usb/media/usbvideo.c |    4 ++--
 drivers/usb/serial/visor.c   |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/media/usbvideo.c b/drivers/usb/media/usbvideo.c
--- a/drivers/usb/media/usbvideo.c	Tue Sep  2 12:42:55 2003
+++ b/drivers/usb/media/usbvideo.c	Tue Sep  2 12:42:55 2003
@@ -1600,7 +1600,7 @@
 		return -EFAULT;
 
 	if (uvd->debug >= 1)
-		info("%s: %d. bytes, noblock=%d.", __FUNCTION__, count, noblock);
+		info("%s: %Zd. bytes, noblock=%d.", __FUNCTION__, count, noblock);
 
 	down(&uvd->lock);	
 
@@ -1718,7 +1718,7 @@
 	/* Update last read position */
 	frame->seqRead_Index += count;
 	if (uvd->debug >= 1) {
-		err("%s: {copy} count used=%d, new seqRead_Index=%ld",
+		err("%s: {copy} count used=%Zd, new seqRead_Index=%ld",
 			__FUNCTION__, count, frame->seqRead_Index);
 	}
 
diff -Nru a/drivers/usb/serial/visor.c b/drivers/usb/serial/visor.c
--- a/drivers/usb/serial/visor.c	Tue Sep  2 12:42:55 2003
+++ b/drivers/usb/serial/visor.c	Tue Sep  2 12:42:55 2003
@@ -649,7 +649,7 @@
 
 	transfer_buffer = kmalloc (sizeof (*connection_info), GFP_KERNEL);
 	if (!transfer_buffer) {
-		dev_err(dev, "%s - kmalloc(%d) failed.\n", __FUNCTION__,
+		dev_err(dev, "%s - kmalloc(%Zd) failed.\n", __FUNCTION__,
 			sizeof(*connection_info));
 		return -ENOMEM;
 	}
@@ -735,7 +735,7 @@
 
 	transfer_buffer =  kmalloc (sizeof (*connection_info), GFP_KERNEL);
 	if (!transfer_buffer) {
-		dev_err(dev, "%s - kmalloc(%d) failed.\n", __FUNCTION__,
+		dev_err(dev, "%s - kmalloc(%Zd) failed.\n", __FUNCTION__,
 			sizeof(*connection_info));
 		return -ENOMEM;
 	}
